Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-11307

Amster import should not set the com.iplanet.am.version property

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 14.0.0, 14.1.0, 14.5.0
    • Fix Version/s: 14.5.0
    • Component/s: Amster
    • Labels:
    • Needs backport:
      No
    • Support Ticket IDs:
    • Needs QA verification:
      Yes
    • Functional tests:
      No
    • Are the reproduction steps defined?:
      Yes and I used the same an in the description

      Description

      Problem description

      The amster import sets the com.iplanet.am.version parameter to null.  This causes multiple issues for AM and CLI tools - for example ssoadm won't run and it will also prevent future upgrades functioning.

      To reproduce

      1). Check the current parameter and value on the Configure > Server Defaults > Advanced page.

      2). Export using amster and then import.

      3). Check for the parameter again now.  It is absent.

      Expected behaviour

      The amster import should not change com.iplanet.am.version

      Workaround

      Add an entry similar to the following to the global/DefaultAdvancedProperties.json file before importing or add directly using the admin UI:

      "com.iplanet.am.version" : "OpenAM 14.0.0",

       

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rebecca.hayling Rebecca Hayling [X] (Inactive)
                Reporter:
                andy.itter Andy Itter
              • Votes:
                0 Vote for this issue
                Watchers:
                10 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: